﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace WPF_RadDateTimePicker
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void RadDateTimePicker_ParseDateTimeValue(object sender, ParseDateTimeEventArgs args)
        {
            if (!args.IsParsingSuccessful && args.TextToParse.Length == 6)
            {
                string inputText = args.TextToParse;
                int month = Int32.Parse(inputText.Substring(0, 2));
                int day = Int32.Parse(inputText.Substring(2, 2));
                int year = Int32.Parse(inputText.Substring(4, 2));

                DateTime result = new DateTime((2000 + year), month, day);
                args.Result = result;
                args.IsParsingSuccessful = true;
            }
        }
    }
}
